dnl -*- coding:utf-8; mode:m4; -*-

dnl SYNOPSYS
dnl
dnl   AX_IS_GIT_CLONE
dnl
dnl DESCRIPTION
dnl
dnl   Determine whether the current working copy is a Git clone or an exported
dnl   version, perhaps an extracted tarball.  Set the variable ax_is_git_clone
dnl   to 0 if the package does not appear to be a Git clone and to an integer
dnl   greater than zero otherwise.
dnl
dnl LICENSE
dnl
dnl   Copyright (c) 2013 Moritz Klammler <moritz@klammler.eu>
dnl
dnl   Copying and distribution of this file, with or without modification, are
dnl   permitted in any medium without royalty provided the copyright notice and
dnl   this notice are preserved.  This file is offered as-is, without any
dnl   warranty.
dnl
AC_DEFUN([AX_IS_GIT_CLONE], [
  ax_is_git_clone=0
  AC_CHECK_PROGS([_ax_git], [git])
  AC_MSG_CHECKING([whether the project is a Git clone])
  AS_IF([test "x$_ax_git" = x],
        [AC_MSG_RESULT([no])],
        [
          AS_IF([$_ax_git status >/dev/null 2>&1],
                [
                  AC_MSG_RESULT([yes])
                  ax_is_git_clone=1
                ],
                [AC_MSG_RESULT([no])])
        ])
  unset _ax_git
])
